org.springframework.cloud.dataflow.rest.resource

## Class CurrentTaskExecutionsResource

- java.lang.Object
- - org.springframework.hateoas.RepresentationModel
  - - org.springframework.cloud.dataflow.rest.resource.CurrentTaskExecutionsResource

-     public class CurrentTaskExecutionsResource
      extends org.springframework.hateoas.RepresentationModel

  A HATEOAS representation of a the currently running task executions and server limits.
  Author:
    David Turanski

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `CurrentTaskExecutionsResource.Page`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CurrentTaskExecutionsResource()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static CurrentTaskExecutionsResource` | `fromTaskExecutionInformation(PlatformTaskExecutionInformation taskExecutionInformation)` Create a CurrentTaskExecutionsResource
    `int` | `getMaximumTaskExecutions()`
    `String` | `getName()`
    `int` | `getRunningExecutionCount()`
    `String` | `getType()`
    `void` | `setMaximumTaskExecutions(int maximumTaskExecutions)`
    `void` | `setName(String name)`
    `void` | `setRunningExecutionCount(int runningExecutionCount)`
    `void` | `setType(String type)`

    - ### Methods inherited from class org.springframework.hateoas.RepresentationModel

      `add, add, add, addAllIf, addIf, equals, getLink, getLink, getLinks, getLinks, getLinks, getRequiredLink, getRequiredLink, hashCode, hasLink, hasLink, hasLinks, of, of, removeLinks, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CurrentTaskExecutionsResource

          public CurrentTaskExecutionsResource()

  - ### Method Detail

    - #### getName

          public String getName()

    - #### setName

          public void setName(String name)

    - #### getType

          public String getType()

    - #### setType

          public void setType(String type)

    - #### getMaximumTaskExecutions

          public int getMaximumTaskExecutions()

    - #### setMaximumTaskExecutions

          public void setMaximumTaskExecutions(int maximumTaskExecutions)

    - #### getRunningExecutionCount

          public int getRunningExecutionCount()

    - #### setRunningExecutionCount

          public void setRunningExecutionCount(int runningExecutionCount)

    - #### fromTaskExecutionInformation

          public static CurrentTaskExecutionsResource fromTaskExecutionInformation(PlatformTaskExecutionInformation taskExecutionInformation)

      Create a CurrentTaskExecutionsResource
      Parameters:
        `taskExecutionInformation` - domain object used to create resource
      Returns:
        CurrentTaskExecutionsResource to send to the client

Copyright © 2021 Pivotal Software, Inc.. All rights reserved.